com.lowagie.text.exceptions

## Class IllegalPdfSyntaxException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalArgumentException
        - - com.lowagie.text.exceptions.IllegalPdfSyntaxException

- All Implemented Interfaces:
    java.io.Serializable

      public class IllegalPdfSyntaxException
      extends java.lang.IllegalArgumentException

  Typed exception used when creating PDF syntax that isn't valid.
  Since:
    2.1.6
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID` Serial version ID

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IllegalPdfSyntaxException(java.lang.String message)` Creates an exception saying the PDF syntax isn't correct.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      Serial version ID
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### IllegalPdfSyntaxException

          public IllegalPdfSyntaxException(java.lang.String message)

      Creates an exception saying the PDF syntax isn't correct.
      Parameters:
        `message` - some extra info about the exception